Bug 1117720 - ibus-m17n input method's setup option does not work
Summary: ibus-m17n input method's setup option does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-m17n
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 09:06 UTC by anish
Modified: 2015-04-12 23:12 UTC (History)
6 users (show)

Fixed In Version: ibus-m17n-1.3.4-16.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:49:23 UTC


Attachments (Terms of Use)

Description anish 2014-07-09 09:06:47 UTC
Description of problem:

I am using Fedora-Live-Workstation-x86_64-rawhide-20140702 with GNOME.3.13.3.
using g-c-c or each IME's setup option does not show any preferences window.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Select any m17n input method. I have selected Marathi inscript 2 
2. Using IME's menu or g-c-c choose its setup menu

Actual results:
Nothing happens 

Expected Results:-
Setup option window should be visible.

Comment 1 anish 2014-07-09 09:19:58 UTC
I got following error 

anish@localhost libexec]$ ./ibus-setup-m17n --name m17n:si:wijesekera

** (ibus-setup-m17n:4628): WARNING **: can't read ibus-m17n-preferences.ui: Invalid property: GtkNotebook.tab_vborder on line 101

** (ibus-setup-m17n:4628): CRITICAL **: file setup.c: line 578 (setup_dialog_new): should not be reached
Segmentation fault (core dumped)

Comment 2 Fedora Update System 2014-09-16 06:38:41 UTC
ibus-m17n-1.3.4-16.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ibus-m17n-1.3.4-16.fc21

Comment 3 Fedora Update System 2014-09-16 18:43:54 UTC
Package ibus-m17n-1.3.4-16.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-m17n-1.3.4-16.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10871/ibus-m17n-1.3.4-16.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-23 04:49:23 UTC
ibus-m17n-1.3.4-16.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.